echo off
rem  **********
rem  Display Header
echo  
echo  fxMake.BAT                                 
echo  Copyright (c) Genus Microprogramming, Inc. 1988-89  All Rights Reserved.
echo 
goto OPTIONS
rem  **********
rem  Instructions
rem
rem  This batch file sets the correct parameters for the F/X library make file.
rem  It assumes the following directory structure (cdir = current directory):
rem
rem                cdir\CS               (for MS,Turbo C small  model S)
rem                cdir\CM               (for MS,Turbo C medium model M)
rem                                      (and QuickC                   )
rem                cdir\CL               (for MS,Turbo C large  model L)
rem                cdir\LCS              (for Lattice  C small  model S)
rem                cdir\LCM              (for Lattice  C medium model P)
rem                cdir\LCL              (for Lattice  C large  model L)
rem                cdir\TP               (for Turbo Pascal      unit   )
rem                cdir\QB               (for QuickBasic               )
rem
rem
rem  NOTE: Paths to the 'make' and 'link' programs need to be in the DOS path
rem        for your particular system.
rem
rem
rem                                       Programmer: Chris Howard  3/15/89
rem
rem  **********
:OPTIONS
rem  Determine assembly options
if '%1'=='s'  goto SMALL
if '%1'=='S'  goto SMALL
if '%1'=='m'  goto MEDIUM
if '%1'=='M'  goto MEDIUM
if '%1'=='l'  goto LARGE
if '%1'=='L'  goto LARGE
if '%1'=='ls' goto LSMALL
if '%1'=='LS' goto LSMALL
if '%1'=='lm' goto LMEDIUM
if '%1'=='LM' goto LMEDIUM
if '%1'=='ll' goto LLARGE
if '%1'=='LL' goto LLARGE
if '%1'=='p'  goto PASCAL
if '%1'=='P'  goto PASCAL
if '%1'=='b'  goto BASIC
if '%1'=='B'  goto BASIC
rem  **********
:USAGE
rem  Invalid option, so display message
echo 
echo  Usage:  fxMake x y
echo 
echo           where x = S      (for SMALL  MS/Turbo C model S)
echo                     M      (for MEDIUM MS/Turbo C model M)
echo                     L      (for LARGE  MS/Turbo C model L)
echo                     LS     (for SMALL  Lattice  C model S)
echo                     LM     (for MEDIUM Lattice  C model P)
echo                     LL     (for LARGE  Lattice  C model L)
echo                     P      (for PASCAL Turbo      model  )
echo                     B      (for BASIC  MS Quick   model  )
echo 
echo                 y = ?      (any make options: /D /I /N /S)
echo 
goto DONE
rem  **********
:SMALL
rem  Make the Microsoft/Turbo C small model
echo 
echo  Making the Microsoft/Turbo C SMALL model S . . .
echo 
make %2 %3 model=SMODEL libdir=CS fxLIB > fxMake.MSG
goto END
rem  **********
:MEDIUM
rem  Make the Microsoft/Turbo C medium model
echo 
echo Making the Microsoft/Turbo C MEDIUM model M . . .
echo 
make %2 %3 model=MMODEL libdir=CM fxLIB > fxMake.MSG
goto END
rem  **********
:LARGE
rem  Make the Microsoft/Turbo C large model
echo 
echo Making the Microsoft/Turbo C LARGE model L . . .
echo 
make %2 %3 model=LMODEL libdir=CL fxLIB > fxMake.MSG
goto END
rem  **********
:LSMALL
rem  Make the Lattice C small model
echo 
echo  Making the Lattice C SMALL model S . . .
echo 
make %2 %3 model=SMODEL libdir=LCS compiler=LC fxLIB > fxMake.MSG
goto END
rem  **********
:LMEDIUM
rem  Make the Lattice C medium model
echo 
echo Making the Lattice C MEDIUM model P . . .
echo 
make %2 %3 model=MMODEL libdir=LCP compiler=LC fxLIB > fxMake.MSG
goto END
rem  **********
:LLARGE
rem  Make the Lattice C large model
echo 
echo Making the Lattice C LARGE model L . . .
echo 
make %2 %3 model=LMODEL libdir=LCL compiler=LC fxLIB > fxMake.MSG
goto END
rem  **********
:PASCAL
rem  Make the Turbo pascal model
echo 
echo Making the Turbo PASCAL model . . .
echo 
make %2 %3 model=MMODEL libdir=TP compiler=TURBOP fxLIB > fxMake.MSG
goto END
rem  **********
:BASIC
rem  Make the QuickBasic model
echo 
echo Making the QuickBASIC model . . .
echo 
make %2 %3 model=MMODEL libdir=QB compiler=BASIC fxLIB > fxMake.MSG
goto END
rem  **********
:END
rem  Type out error listing ...
more < fxMake.MSG
:DONE
rem  Done.
echo 
echo  fxMake Done.  (Messages are stored in fxMake.MSG)
echo 
